<?php

namespace App\Imports;

use App\Models\Dataset\DatasetTable59;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithStartRow;

class DatasetTable59Import implements ToModel,WithStartRow
{
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    protected $datasetId;
protected $userId;

    public function __construct($datasetId,$userId)
    {
        $this->datasetId = $datasetId;
        $this->userId = $userId;
    }

public function startRow(): int
    {
        return 6;
    }

public function model(array $row)
    {

// cek kalau row kosong jangan insert
        if ($row[0] === null && $row[1] === null && $row[2] === null && $row[3] === null) {
            return null; // baris kosong dilewati
        }
        return new DatasetTable59([
            'dataset_id'                => $this->datasetId,
            'created_by'                => $this->userId,
            'sumber'                    => $row[1],
            'peruntukan_anggaran'       => $row[2],
            'jumlah_anggaran'           => $row[3],
        ]);
    }
}
